PDA

View Full Version : FC5: Invalid module format on (freshly built) btsco



mwichmann
24th March 2006, 07:49 PM
I'm trying to build the btsco package to get my bluetooth headset working. I pull down the sources from the sourceforge project, configure, build, install - all without apparent problems, but still get the dreaded:

FATAL: Error inserting snd_bt_sco (/lib/modules/2.6.15-1.2054_FC5/extra/snd-bt-sco.ko): Invalid module format

I'm not sure how this could be since I built it from source, on this system, for this system... any thoughts?

kernel packages installed are:

kernel-2.6.15-1.2054_FC5
kernel-devel-2.6.15-1.2054_FC5

and /proc/version assures me that's what I'm running:

Linux version 2.6.15-1.2054_FC5 (bhcompile@hs20-bc1-2.build.redhat.com) ....

erroneus
15th November 2006, 09:10 PM
Have you revisited this problem in FC6? I would be very interested to know where you are on that. If you're unable to make it go, I'll give it a shot myself. I'd like to get my bluetooth headset going too.... then people at the office won't know I'm watching movies in the office ;) (Right now I use a stereo ear thing...people think I'm listening to music.)